jelle feringa <jelleferinga@...> writes:

> 
> please provide a screencap and / or code, we'll need a little more info...
> 

Sure.
You can see on the first image rectangles with good colors (Red, White, Blue and
Green) that I want and program.
And on the second image rextangles becomes white and yellow when I change the
angle of view.

Image 1 : http://www.mediafire.com/i/?l0opbswrd6voryr
Image 2 : http://www.mediafire.com/i/?bj3716s8k33vz7k

My code : 

        p5 = gp_Pnt(X1+20,Y1-20,Z1+0.2)
        p6 = gp_Pnt(X2-20,Y2-20,Z2+0.2)
        p7 = gp_Pnt(X3+20,Y3+20,Z3+0.2)
        p8 = gp_Pnt(X4-20,Y4+20,Z4+0.2)

        #bordure ligne
        pts5 = (p5, p6)
        pts6 = (p6, p8)
        pts7 = (p8, p7)
        pts8 = (p7, p5)

        spl5 = points_to_bspline(pts5)
        spl6 = points_to_bspline(pts6)
        spl7 = points_to_bspline(pts7)
        spl8 = points_to_bspline(pts8)

        edges2 = map(make_edge, [spl5, spl6, spl7, spl8])
        self.canva._display.DisplayShape(edges2)

        #surface
        f2 = make_n_sided(edges2)

        self.canva._display.DisplayColoredShape(f2,'WHITE', update=True)

Thank you in advance
Baide




_______________________________________________
Pythonocc-users mailing list
Pythonocc-users@gna.org
https://mail.gna.org/listinfo/pythonocc-users

Reply via email to